# Physical activity

An action block that waits a physical activity such as walking, running, etc..

The fiber will pause until an activity has been detected with a minimum, or greater, percent of confidence.

This block requires a device with a working Google Play services installed.

## Input arguments

- Activities — activities to await.
- Minimum confidence — minimum percent of confidence, default 0.
- Detection interval — detection interval, default is 30 seconds.

## Output variables

- Current activity — variable to assign the detected activity.
- Confidence — variable to assign the percent of confidence in the detected activity.